Subject: Re: bug#19716: Excessive Windows registry accesses

From: Eli Zaretskii <[email-masked]>
Date: Thu, 29 Jan 2015 05:51:48 +0200

> Date: Wed, 28 Jan 2015 22:06:49 +0100
> From: PK <[email-masked]>
> 
> > Anyway, why do you think this [duplicated identical OpenKey accesses] is a bug?
> 
> Because it suggests faulty logic to me.  Normally if I were looking for a 
> resource and either finding it or not, I'd keep the outcome the first time 
> and use that outcome.  (Not found?  Don't look again.  Found?  Use what was 
> found.)

The Registry is a place that can change outside Emacs control.  So the
fact we didn't find there something doesn't make sure it won't be
found on the next access.

> If it's cheap to make those more than 3600 duplicate registry accesses, 
> then I suppose there's nothing wrong with it.  (I tend to suspect that very 
> little in Windows is cheap, but I haven't measured the cost of those 
> calls.)  You seem to hint that it's logic transliterated from X, which 
> *does* have cheap access, and I can see the value in not fiddling with 
> logic that works.  Still...

X resources can be put into the Registry whenever the user wants, and
should work starting from then.

Please do time these accesses.  I don't think they are expensive, but
if your data shows otherwise, we could look into this.

(And please keep the bug address on the CC list.)